##########################################
gfsqlite Change History (2008-02-07)

Vers. 0.10: 	Der Anfang . . .
Vers. 0.11: 	alles angepasst (?) ausser gfsqliteMain.py
 	    	und gfsqlite_inter.py (2003-01-08)
Vers. 0.12:  	gfsqliteMain.py	und gfsqlite_inter.py
		angepasst (mhsam!!) (2003-01-09)
Vers. 0.13: 	gfsqliteMain.py	und gfsqlite_inter.py
		angepasst an pysqlite 0.30 (!!) (2003-01-10)
Vers. 0.14: 	Pfad zur Datenbank wird mit gespeichert in
		gfsqliteMain.py	 (2003-01-10)
Vers. 0.15: 	gfcreate in gfsqlite_inter.py bzw.
		dbcreate in gfsqliteMain.py (2003-01-10)
Vers. 0.16: 	Fehlerbehandlung in gfsqlite_inter.py
		angepasst (2003-01-11)
Vers. 0.17: 	Pfad-Fehler in dbUsed (gfsqliteMain.py)
		beseitigt (2003-01-12)
Vers. 0.18: 	Pfad-Zugriff unter Linux angepasst:
		dbopen/dbcreate in gfsqliteMain.py (2003-01-12)
Vers. 0.19: 	Extension (z. B. *.db) beim Zugriff
		wird bercksichtigt in dbopen/dbcreate,
		gfsqliteMain.py (2003-01-14)
Vers. 0.20: 	Auslagerung in das Verzeichnis /gmodule
		bzw. /doc (2003-01-15)
Vers. 0.21: 	Anpassung an die aktuelle gfsql-Version 0.86, Teil 1
		Klasse parameterfenster aus gfsqliteMain.py
		entfernt, Punkt "Verbindung Testen" aus den
		Einstellungen entfernt (2003-08-03)
Vers. 0.22: 	Anpassung an die aktuelle gfsql-Version 0.86, Teil 2
		Das Cursor-Handling wurde verbessert, siehe die Methode set_cursor()
		in gfsqliteMain.py	(2003-08-04)
Vers. 0.23:     Das Modul gfsql_table.py greift jetzt auf das Modul MultiListbox.py von
                Bob Hauck  (http://www.haucks.org/) zurck,
		Vorteil: Tix ist nicht mehr notwendig!   (2003-08-12)
Vers. 0.24:     Im Modul gfsql_table.py den Punkt 'Als HTML speichern' hinzugefgt,
                greift auf das Modul html_tools.py zurck, Bug in dbList_speichern()
		(Modul gfsqliteMain.py) beseitigt  (2003-08-18)
Vers. 0.25:     Fehler beim Einstellungen speichern beseitigt
		(Modul gfsqliteMain.py) (2003-08-25)
Vers. 0.26:     Simple Fehlermeldung, falls beim Ausfhren eines SQL-Befehls etwas schief lief
		Frage: Wie kommt man an die Fehlermeldungen von SQLite?
		(Modul gfsqliteMain.py) (2003-11-19)
Vers. 0.27:     Fehlerbhandlung, falls Zugriff auf Datenbank im Netzwerk gesperrt
		(Modul gfsqliteMain.py, gfInter.py) (2003-12-03)
Vers. 0.28:     Tastenbelegung ge�dert (!), Befehl 'desc' <table> implementiert
		(Modul gfsqliteMain.py, gfInter.py) (2003-12-04)
Vers. 0.29:     Test auf SQLite-Datenbank beim �fnen implementiert
		(Modul gfsqliteMain.py) (2003-12-06)
Vers. 0.30:     Befehl 'desc' <table> auf Views erweitert
		(Modul gfInter.py) (2003-12-06)
Vers. 0.31:     Debug-Mode eingebaut (<Alt>+U bzw. <Alt>+u)
		(Modul gfsqliteMain.py) (2003-12-10)
Vers. 0.32:     Query-Liste l�chen im Men Datenbank hinzugefgt
		(Modul gfsqliteMain.py) (2003-12-11)
Vers. 0.33:     Mark, Copy & Paste im oberen Fenster
		(Modul gfsqliteMain.py) (2003-12-12)	VORL�FIG!!
Vers. 0.34:     Mark, Copy & Paste im unteren Fenster, Debug-Mode auch
		auf Englisch (Modul gfsqliteMain.py) (2003-12-12)   VORL�FIG!!
Vers. 0.35:     Paste um set_cursor-Befehl erweitert, POPup-Fenster
		'verschlankt' (Modul gfsqliteMain.py) (2003-12-13)
Vers. 0.36:     Button 'Fenster oben leeren' entfernt (=> ALT + C)
		Tabellen werden in einem extra Fenster angezeigt (Modul gfsqliteMain.py)
		Datenbank schliessen nur nach Rckfrage
		Modul tkSimpleText.py: class Text kann jetzt 
		variabel grosse Fenster erzeugen  (2004-01-14)
Vers. 0.37:     Das Tabellen-Fenster wird beim Schliessen
		der Datenbank mitgeschlossen (Modul gfsqliteMain.py) (2004-01-17)
Vers. 0.38:     Tabellen werden in einer Scrollbox angezeigt (Modul gfsqliteMain.py 
		und tkScrollbox.py)  (2004-01-20)
Vers. 0.39:     Tabellen und Spalten werden in der Scrollbox angezeigt (experimentell!!)
		(Modul tkScrollbox.py)  (2004-01-21)
Vers. 0.40:     Export-Funktion der Datenbank (nach POSTGREsql)  (experimentell!!)
		(Modul gfsqliteMain.py, gfsql_inter.py )  (2004-01-23)
Vers. 0.41:     Anpassung des Tabellen-Fenster an Linux 
		(Modul gfsqliteMain.py )  (2004-01-26)
Vers. 0.42:     Benuzte statt der Methode widget.winfo_children() die Methode
		widget.children.values(); Anpassung des Tabellen-Fenster an Linux
		(Modul gfsqliteMain.py )  (2004-01-27)
Vers. 0.43:	font-size und font-type wird global festgelegt
		(Modul gfsqliteMain.py & tkSimpleText.py)  (2004-02-08)
Vers. 0.44:	commit und rollback bercksichtigt (Modul gfsqliteMain.py) 
            	Fehler in tkScrollbox.py behoben 
	    	(2004-04-10)
Vers. 0.50:	Syntax-Highcoloring aus IDLE bernommen (Modul gfsqliteMain.py) 
		Neue Dateien: WidgetRedirector.py, Delegator.py, Percolator.py, sqlKeyword.py, 
		CoDelegator.py, GfsqlConf.py, config.txt  	
		Programmversion wird beim Start in der Titelzeile angezeigt (Modul gfsqliteMain.py) 
		(2004-08-11)
Vers. 0.51:	Anpassung UniCode, Teil 1 (Modul html_tools.py, gfsql_table.py, gfsql_cfg.py)
		(2004-08-15)
Vers. 0.52:	Anpassung UniCode, Teil 2 (Modul gfsqliteMain.py)
		(2004-08-18)
Vers. 0.53:	About-Info als Read-Only-Text-Fenster (Modul gfsqliteMain.py, tkSimpleText.py)
		(2004-10-06)
Vers. 0.54:	Bug tkMessageBox.askyesno wrong result under Linux, see:
		http://mail.python.org/pipermail/python-bugs-list/2004-September/025172.html
		Bug nach maillist korrigiert (2004-10-06)	
Vers. 0.55:	SQL-Fragment (sqlcoder.py) im oberen POPup-Fenster hinzugefgt
		(2004-12-30)	
Vers. 0.56:	Database-Info im Datenbank-Men hinzugefgt (Modul gfsqliteMain.py: holeDBinfo),
		Bug in gftable_defn (Modul gfsqlite_inter.py) beseitigt
		(2005-01-02)
Vers. 0.57:	Pretty-Print als pp-Button (Modul gfsqliteMain.py),
		In Einstellungen: History-Liste neu laden ergänzt (Modul gfsqliteMain.py)
		(2005-01-04)
Vers. 0.58:	SQL-Datei wird schrittweise abgearbeitet (Magic Keys: Escape, Strg)
                (Modul gfsqliteMain.py) (2005-01-05)
Vers. 0.59:	Optimierung in gf_dump (Modul gfsqlite_inter.py) (2005-01-06)
                nach Python in a Nutshell, p. 400
Vers. 0.60:	Optimierung in table_body (Modul html_tools.py) (2005-01-06)
                nach Python in a Nutshell, p. 400
Vers. 0.61:	History-Liste neu laden mit Datei-Auswahl-Dialog (Modul gfsqliteMain.py)
                (2005-03-02)
Vers. 0.62:	dbcreate: existierende Datenbank wird erst gelöscht (Modul gfsqliteMain.py)
                Neu: Dia-Export => exportiert Datenbank-Schema für autodia 
                (Modul gfsqliteMain.py, gfsqlite_inter.py, gfsql_cfg.py)
                (2005-08-30, 2005-10-25)
Vers. 0.63:	Benutze zur Tabellendarstellung TIX => Tix.ScrolledHList()
                (Modul gfsql_table.py)
                (2006-01-07)
Vers. 0.64:	Headings in der pp-Tabellendarstellung "capitalized"
                (erster Buchstabe GROSS, alle anderen klein), (Modul gfsql_table.py)
                (2006-04-11)
Vers. 0.65:	Bug in tkScrollbox.py => Methode get_column bei der Darstellung
                des kombinierten primary key beseitigt, (Modul tkScrollbox.py)
                (2006-05-10)
Vers. 0.65:	Umlautfilter in html_tools.py und und gfsql_methods.py
                -mal wieder- angepasst (Modul gfsql_methods.py, html_tools.py)
                (2006-05-24)
Vers. 0.66:	Fehler beim Abarbeiten von Sitzungsdateien beseitigt, neues Separatorzeichen: sep = '+]{~*'
                (Modul gfsql_methods.py, gfsqliteMain.py)
                (2006-05-25)                  
Vers. 0.67:	Umlautfilter in html_tools.py, gfsql_methods.py und gfsqlite_inter.py angepasst
                (Modul gfsql_methods.py, html_tools.py, gfsqliteMain.py, gfsqlite_inter.py, neues Modul umlautCodec.py)
                (2006-05-26)                  

Vers. 0.68:	3 neue Buttons: <== (alternativ zu F5), ==> (alternativ zu F6) und 
                NEXT (alternativ zu Ctrl/Strg-Taste) (Modul gfsqliteMain.py)
                (2006-05-27)

Vers. 0.69:	Bug in tkScrollbox.py => Methode get_column bei der Darstellung
                des foreign keys beseitigt (Modul tkScrollbox.py)
                Beachte jedoch: "FOREIGN KEY constraints FOREIGN KEY constraints are parsed but are not enforced."
                URL: http://www.sqlite.org/omitted.html
                (2006-05-30)
                
Vers. 0.70:	SQL-Fragment (sqlcoder.py) modifiziert
                Argumente werden mit einen Underscore _ angezeigt
                (2006-06-03)
                
Vers. 0.71:	gfsqlite erkennt und unterscheidet jetzt SQLite-Version 3 Datenbanken (falls die
                entsprechende pysqlite-Verison installiert ist!) von SQLite 2.8-Datenbanken (Modul gfsqliteMain.py)
                Codecs in Modul umlautCodec.py leicht modifiziert
                Methode gfdump in gfsqlite_inter.py angepasst
                (2006-08-25)

Vers. 0.72:	Anpassung an das Modul sqlite3 der Python-Version 2.5 im Modul gfsqlite_inter.py
                (2006-10-01)

Vers. 0.73:	Optik modifiziert durch Einbinden von gtklook.tcl
	  	(URL: http://wiki.tcl.tk/10424)
                (2007-10-10)

Vers. 0.74:	Ermittelt sqlite- bzw pysqlite-Version: Methode get_sqlite_version() im Modul gfsqlite_inter.py
                sowie die Methode sqlite_version in der Klasse sqleditor
                Die sqlite-Version erscheint beim Start in der Titelzeile bzw. unter Hilfe => SQLite-Version
                (2008-01-20)

Vers. 0.75:	sqlKeyword.py angepasst an die Keyword-Liste in http://www.sqlite.org/lang_keywords.html 
                (2008-01-20)


##########################################
TO DO:	- Bessere Fehlermeldungen!
	  (PROBLEM: => sqlite gibt keine besseren zurck!)
	- Tests!
	- Modul-Kommentare

##########################################
E-Mail: walter.spiegel@web.de
URL: http://www.wspiegel.de/gfsqlite/
